#include<iostream>
#include<iomanip>
using namespace std;

float ** vytvor(int n, int m)
{
	// alokace:
	float ** a;
	a = new float*[n]; // pole ukazatelu delky n
	for (int i = 0; i < n; i++)
		a[i] = new float[m]; // jednotlive radky
	
	// inicializace:
	for (int i = 0; i < n; i++)
		for (int j = 0; j < m; j++)
			a[i][j] = 0;
	return a;
}

void zrus(float**a, int n)
{
	for (int i = 0; i < n; i++) // zrusim jednotlive radky
		delete[] a[i];
	delete[] a;                 // zrusim pole ukazatelu na radky
}

void vypis(float **a, int n, int m)
{
	for (int i = 0; i < n; i++)
	{
		for (int j = 0; j < m; j++)
			cout << setw(3) << a[i][j] << ' ';
		cout << endl;
	}
	cout << endl;
}

/* Funkce secte matice a a b o n radcich a m sloupcich */
float** secti(float **a, float **b, int n, int m)
{
	float ** c = vytvor(n, m);
	for (int i = 0; i < n; i++)
	{
		for (int j = 0; j < m; j++)
		{
			c[i][j] = a[i][j] + b[i][j];
		}
	}
	return c;
}

/* Funkce transponuje matici a o n radcich a m sloupcich */
float** transponuj(float **a, int n, int m)
{
	float ** b = vytvor(m, n);
	for (int i = 0; i < n; i++)
	{
		for (int j = 0; j < m; j++)
		{
			b[j][i] = a[i][j];
		}
	}
	return b;
}